Subject: [Spridgets] Rear Spring Question

From: David Ambrose <[email-masked]>
Date: Wed, 24 Jul 2013 14:32:37 -0700

Our 1970 Midget has been sagging in the back. So, I ordered new standard 
springs from Moss. The front springs are the standard height, not 
lowered, and only a few years old. Just got the first spring in 
yesterday, and it has a lot of curvature relative to the old one. That 
doesn't surprise me, but it looks like installing the spring is going to 
give us the converse problem; rear end sticking way in the air. I see 
they carry rears that have been lowered one and two inches. They also 
carry a distinct spring for the 1500, which I presume is the rubber 
bumper version.

Am I getting set to install the correct spring, or should I consider one 
of the lowered springs?

Thanks,
Dave Ambrose
------------------------

[email-masked]

Archive: http://www.team.net/archive